# PLEASE adhere to the alphabetical ordering in this Makefile!
# Also indentation by a single tab


PARSERPARAMETERSTESTSSOURCES = \
	../Parser/Parameters/unittests/ContinuousValueUnitTest.cpp \
	../Parser/Parameters/unittests/ContinuousParameterUnitTest.cpp \
	../Parser/Parameters/unittests/DiscreteValueUnitTest.cpp \
	../Parser/Parameters/unittests/DiscreteParameterUnitTest.cpp \
	../Parser/Parameters/unittests/ParameterStorageUnitTest.cpp \
	../Parser/Parameters/unittests/StringParameterUnitTest.cpp

PARSERPARAMETERSTESTSHEADERS = \
	../Parser/Parameters/unittests/ContinuousValueUnitTest.hpp \
	../Parser/Parameters/unittests/ContinuousParameterUnitTest.hpp \
	../Parser/Parameters/unittests/DiscreteValueUnitTest.hpp \
	../Parser/Parameters/unittests/DiscreteParameterUnitTest.hpp \
	../Parser/Parameters/unittests/ParameterStorageUnitTest.hpp \
	../Parser/Parameters/unittests/StringParameterUnitTest.hpp

PARSERPARAMETERSTESTS = \
	ContinuousValueUnitTest \
	ContinuousParameterUnitTest \
	DiscreteValueUnitTest \
	DiscreteParameterUnitTest \
	ParameterStorageUnitTest \
	StringParameterUnitTest

TESTS += $(PARSERPARAMETERSTESTS)
check_PROGRAMS += $(PARSERPARAMETERSTESTS) 
noinst_PROGRAMS += $(PARSERPARAMETERSTESTS)

PARSERPARAMETERSLIBS =


ContinuousValueUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Parser/Parameters/unittests/ContinuousValueUnitTest.cpp \
	../Parser/Parameters/unittests/ContinuousValueUnitTest.hpp \
	../Parser/Parameters/ContinuousValue.hpp \
	../Parser/Parameters/ContinuousValue_impl.hpp \
	../Parser/Parameters/ValueInterface.hpp
ContinuousValueUnitTest_LDADD = \
	$(PARSERPARAMETERSLIBS)
 
ContinuousParameterUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Parser/Parameters/unittests/ContinuousParameterUnitTest.cpp \
	../Parser/Parameters/unittests/ContinuousParameterUnitTest.hpp \
	../Parser/Parameters/ContinuousValue.hpp \
	../Parser/Parameters/ContinuousValue_impl.hpp \
	../Parser/Parameters/ContinuousParameter.hpp \
	../Parser/Parameters/ContinuousParameter_impl.hpp \
	../Parser/Parameters/Parameter.hpp \
	../Parser/Parameters/ValueInterface.hpp
ContinuousParameterUnitTest_LDADD = \
	$(PARSERPARAMETERSLIBS)
 
DiscreteValueUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Parser/Parameters/unittests/DiscreteValueUnitTest.cpp \
	../Parser/Parameters/unittests/DiscreteValueUnitTest.hpp \
	../Parser/Parameters/DiscreteValue.hpp \
	../Parser/Parameters/DiscreteValue_impl.hpp \
	../Parser/Parameters/ValueInterface.hpp
DiscreteValueUnitTest_LDADD = \
	$(PARSERPARAMETERSLIBS)

DiscreteParameterUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Parser/Parameters/unittests/DiscreteParameterUnitTest.cpp \
	../Parser/Parameters/unittests/DiscreteParameterUnitTest.hpp \
	../Parser/Parameters/DiscreteValue.hpp \
	../Parser/Parameters/DiscreteValue_impl.hpp \
	../Parser/Parameters/DiscreteParameter.hpp \
	../Parser/Parameters/DiscreteParameter_impl.hpp \
	../Parser/Parameters/Parameter.hpp \
	../Parser/Parameters/ValueInterface.hpp
DiscreteParameterUnitTest_LDADD = \
	$(PARSERPARAMETERSLIBS)

ParameterStorageUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Parser/Parameters/unittests/ParameterStorageUnitTest.cpp \
	../Parser/Parameters/unittests/ParameterStorageUnitTest.hpp \
	../Parser/Parameters/ParameterStorage.cpp \
	../Parser/Parameters/ParameterStorage.hpp \
	../Parser/Parameters/ContinuousValue.hpp \
	../Parser/Parameters/ContinuousValue_impl.hpp \
	../Parser/Parameters/DiscreteValue.hpp \
	../Parser/Parameters/DiscreteValue_impl.hpp \
	../Parser/Parameters/ValueInterface.hpp
ParameterStorageUnitTest_LDADD = \
	$(CodePatterns_LIBS) \
	$(PARSERPARAMETERSLIBS)

StringParameterUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
	../Parser/Parameters/unittests/StringParameterUnitTest.cpp \
	../Parser/Parameters/unittests/StringParameterUnitTest.hpp \
	../Parser/Parameters/StringParameter.cpp \
	../Parser/Parameters/StringParameter.hpp \
	../Parser/Parameters/Parameter.hpp \
	../Parser/Parameters/ValueInterface.hpp
StringParameterUnitTest_LDADD = \
	$(PARSERPARAMETERSLIBS)
 
 
#AUTOMAKE_OPTIONS = parallel-tests
